> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取记忆节点 - GET /v1/workspaces/:workspace_id/cubes/:cube_id/nodes/:node_id

> 通过 GET /v1/workspaces/:workspace_id/cubes/:cube_id/nodes/:node_id 返回单个记忆节点。最小角色 viewer。

返回单个记忆节点的完整信息。

## 接口

```http theme={null}
GET /v1/workspaces/:workspace_id/cubes/:cube_id/nodes/:node_id
```

## 认证

`Authorization: Bearer <jwt>` 或 `X-API-Key <sk_...>`。最小角色：**viewer**。

## 路径参数

<ParamField path="workspace_id" type="string" required>
  工作空间 id。
</ParamField>

<ParamField path="cube_id" type="string" required>
  立方体 id。
</ParamField>

<ParamField path="node_id" type="string" required>
  节点 id。
</ParamField>

## 响应

<ResponseField name="id" type="string">
  节点 id。
</ResponseField>

<ResponseField name="cube_id" type="string">
  所属立方体 id。
</ResponseField>

<ResponseField name="type" type="string">
  节点类型。
</ResponseField>

<ResponseField name="content" type="string">
  节点内容。
</ResponseField>

<ResponseField name="tier" type="integer">
  层级（1–4）。
</ResponseField>

<ResponseField name="meta" type="string">
  JSON 元数据。
</ResponseField>

<ResponseField name="auto" type="boolean">
  是否由自动转换产生。
</ResponseField>

<ResponseField name="source_type" type="string">
  来源类型。
</ResponseField>

<ResponseField name="source_id" type="string">
  来源对象 id。
</ResponseField>

<ResponseField name="created_at" type="string">
  创建时间（RFC3339）。
</ResponseField>

## 示例

<RequestExample>
  ```bash cURL theme={null}
  curl https://memo.ariacompute.cn/v1/workspaces/ws_01a2b3c4d5e6/cubes/cube_01a2b3c4d5e6/nodes/node_01a2b3c4d5e6 \
    -H "Authorization: Bearer <jwt>"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "node_01a2b3c4d5e6",
    "cube_id": "cube_01a2b3c4d5e6",
    "type": "text",
    "content": "用户偏好中文回复。",
    "tier": 4,
    "meta": "{}",
    "auto": false,
    "source_type": "session",
    "source_id": "sess_01a2b3c4d5e6",
    "created_at": "2026-10-12T08:25:00Z"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.